
/*****************************************************************************
 *                                                                           *
 *  PMB source code, MPI-1 part                           ---/---            *
 *                                                          / /              *
 *  Copyright (c) PALLAS GmbH 1998                         / / /             *
 *                                                        / / / /            *
 *                                                         / / /             *
 *  Authors: Hans-Joachim Plum , Gero Ritzenhoefer          / / PALLAS       *
 *  Revision: 2.0                                         ---/---            *
 *  Date: 1998/03/10                                                         *
 *                                                                           *
 *****************************************************************************/
/*****************************************************************************
 *                                                                           *
 *  PMB source code                                       ---/---            *
 *                                                          / /              *
 *  Copyright (c) PALLAS GmbH 1997                         / / /             *
 *                                                        / / / /            *
 *                                                         / / /             *
 *  Author: Hans-Joachim Plum , Gero Ritzenhoefer           / / PALLAS       *
 *  Revision: 1.2                                         ---/---            *
 *  Date: 1997/07/31                                                         *
 *                                                                           *
 *****************************************************************************/
#ifndef _DECLARE_H
#define _DECLARE_H

#include <mpi.h>
#include <math.h>
#include <stdio.h>
#include <malloc.h>
#include <stddef.h>
#include "appl_errors.h"
#include "settings.h"
#include "comm_info.h"
#include "err_check.h"

/* THERE IS INCOSISTENT DEFINITION OF MPI_Type_Size arguments */
typedef int Type_Size;          /*correct MPI standard  */
/*typedef MPI_Aint Type_Size;*/ /*on SGI, HITACHI SR2201*/

#ifdef CHECK
extern long   compute_crc (char* buf, int size);
extern long   r_check,s_check;
extern double defect;
extern double *all_defect;
#endif

/* STRING FOR OUTPUT    */
extern char aux_string[7*ow_format];

/* FORMAT FOR OUTPUT    */
extern char format    [7*7];

/* ARRAY OF CASES, EITHER DEFAULT OR ARGUMENT LIST */
extern char **cases ;            

/* I/O unit                  */
extern FILE* unit;

/* MAXIMAL MESSAGE LENGTH    */
extern int MAXMSG;              

#endif

